| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
Algorithm.cpp File Reference
`#include <algorithm>`
`#include "GaudiKernel/Kernel.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/IMessageSvc.h"`
`#include "GaudiKernel/IJobOptionsSvc.h"`
`#include "GaudiKernel/IAlgManager.h"`
`#include "GaudiKernel/IAuditorSvc.h"`
`#include "GaudiKernel/IDataProviderSvc.h"`
`#include "GaudiKernel/IDataManagerSvc.h"`
`#include "GaudiKernel/IConversionSvc.h"`
`#include "GaudiKernel/IHistogramSvc.h"`
`#include "GaudiKernel/INTupleSvc.h"`
`#include "GaudiKernel/IRndmGenSvc.h"`
`#include "GaudiKernel/IToolSvc.h"`
`#include "GaudiKernel/IExceptionSvc.h"`
`#include "GaudiKernel/IAlgContextSvc.h"`
`#include "GaudiKernel/IProperty.h"`
`#include "GaudiKernel/Algorithm.h"`
`#include "GaudiKernel/PropertyMgr.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/Chrono.h"`
`#include "GaudiKernel/Stat.h"`
`#include "GaudiKernel/GaudiException.h"`
`#include "GaudiKernel/ServiceLocatorHelper.h"`
`#include "GaudiKernel/ThreadGaudi.h"`
`#include "GaudiKernel/Guards.h"`
`#include "GaudiKernel/AlgTool.h"`
`#include "GaudiKernel/ToolHandle.h"`
`#include "GaudiKernel/DataHandleHolderVisitor.h"`
`#include "GaudiKernel/DataObjIDProperty.h"`
`#include "GaudiKernel/StringKey.h"`
`#include "Python.h"`
`#include "GaudiKernel/Bootstrap.h"`
`#include "GaudiPython/Algorithm.h"`
Include dependency graph for Algorithm.cpp:

Go to the source code of this file.

## Macros
#define | serviceAccessor(METHOD, INTERFACE, NAME, MEMBER)

## Functions
| serviceAccessor (auditorSvc, IAuditorSvc,"AuditorSvc", m_pAuditorSvc) serviceAccessor(chronoSvc
m_CSS | serviceAccessor (detSvc, IDataProviderSvc,"DetectorDataSvc", m_DDS) serviceAccessor(detCnvSvc
m_CSS m_DCS | serviceAccessor (eventSvc, IDataProviderSvc,"EventDataSvc", m_EDS) serviceAccessor(whiteboard
m_CSS m_DCS m_WB | serviceAccessor (eventCnvSvc, IConversionSvc,"EventPersistencySvc", m_ECS) serviceAccessor(histoSvc
m_CSS m_DCS m_WB m_HDS | serviceAccessor (exceptionSvc, IExceptionSvc,"ExceptionSvc", m_EXS) serviceAccessor(ntupleSvc
m_CSS m_DCS m_WB m_HDS m_NTS | serviceAccessor (randSvc, IRndmGenSvc,"RndmGenSvc", m_RGS) serviceAccessor(toolSvc
m_CSS m_DCS m_WB m_HDS m_NTS m_ptoolSvc | serviceAccessor (contextSvc, IAlgContextSvc,"AlgContextSvc", m_contextSvc) serviceAccessor(timelineSvc

## Variables
| IChronoStatSvc
| ChronoStatSvc
m_CSS | IConversionSvc
m_CSS | DetectorPersistencySvc
m_CSS m_DCS | IHiveWhiteBoard
m_CSS m_DCS | EventDataSvc
m_CSS m_DCS m_WB | IHistogramSvc
m_CSS m_DCS m_WB | HistogramDataSvc
m_CSS m_DCS m_WB m_HDS | INTupleSvc
m_CSS m_DCS m_WB m_HDS | NTupleSvc
m_CSS m_DCS m_WB m_HDS m_NTS | IToolSvc
m_CSS m_DCS m_WB m_HDS m_NTS | ToolSvc
m_CSS m_DCS m_WB m_HDS m_NTS m_ptoolSvc | ITimelineSvc
m_CSS m_DCS m_WB m_HDS m_NTS m_ptoolSvc | TimelineSvc

## Macro Definition Documentation

#define serviceAccessor | ( |  | METHOD,
|  |  | INTERFACE,
|  |  | NAME,
|  |  | MEMBER
| ) |  |

Value:
SmartIF<INTERFACE>& Algorithm::METHOD() const { \
if ( !MEMBER ) { \
MEMBER = service(NAME); \
if( !MEMBER ) { \
throw GaudiException("Service [" NAME "] not found", name(), StatusCode::FAILURE); \
} \
} \
return MEMBER; \
}
SmartIF
Small smart pointer class with automatic reference counting for IInterface.
Definition: IConverter.h:14
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23
Algorithm::name
const std::string & name() const override
The identifying name of the algorithm object.
Definition: Algorithm.cpp:820
StatusCode::FAILURE
Definition: StatusCode.h:29
Algorithm::service
StatusCode service(const std::string &name, T *&psvc, bool createIf=true) const
Access a service by name, creating it if it doesn't already exist.
Definition: Algorithm.h:232

Definition at line 874 of file Algorithm.cpp.

## Function Documentation

serviceAccessor | ( | auditorSvc | ,
|  | IAuditorSvc | ,
|  | "AuditorSvc" | ,
|  | m_pAuditorSvc |
| ) |  |

m_CSS serviceAccessor | ( | detSvc | ,
|  | IDataProviderSvc | ,
|  | "DetectorDataSvc" | ,
|  | m_DDS |
| ) |  |

m_CSS m_DCS serviceAccessor | ( | eventSvc | ,
|  | IDataProviderSvc | ,
|  | "EventDataSvc" | ,
|  | m_EDS |
| ) |  |

m_CSS m_DCS m_WB serviceAccessor | ( | eventCnvSvc | ,
|  | IConversionSvc | ,
|  | "EventPersistencySvc" | ,
|  | m_ECS |
| ) |  |

m_CSS m_DCS m_WB m_HDS serviceAccessor | ( | exceptionSvc | ,
|  | IExceptionSvc | ,
|  | "ExceptionSvc" | ,
|  | m_EXS |
| ) |  |

m_CSS m_DCS m_WB m_HDS m_NTS serviceAccessor | ( | randSvc | ,
|  | IRndmGenSvc | ,
|  | "RndmGenSvc" | ,
|  | m_RGS |
| ) |  |

m_CSS m_DCS m_WB m_HDS m_NTS m_ptoolSvc serviceAccessor | ( | contextSvc | ,
|  | IAlgContextSvc | ,
|  | "AlgContextSvc" | ,
|  | m_contextSvc |
| ) |  |

## Variable Documentation

ChronoStatSvc

Definition at line 886 of file Algorithm.cpp.

m_CSS DetectorPersistencySvc

Definition at line 888 of file Algorithm.cpp.

m_CSS m_DCS EventDataSvc

Definition at line 890 of file Algorithm.cpp.

m_CSS m_DCS m_WB HistogramDataSvc

Definition at line 892 of file Algorithm.cpp.

IChronoStatSvc

Definition at line 886 of file Algorithm.cpp.

m_CSS IConversionSvc

Definition at line 888 of file Algorithm.cpp.

m_CSS m_DCS m_WB IHistogramSvc

Definition at line 892 of file Algorithm.cpp.

m_CSS m_DCS IHiveWhiteBoard

Definition at line 890 of file Algorithm.cpp.

m_CSS m_DCS m_WB m_HDS INTupleSvc

Definition at line 894 of file Algorithm.cpp.

m_CSS m_DCS m_WB m_HDS m_NTS m_ptoolSvc ITimelineSvc

Definition at line 898 of file Algorithm.cpp.

m_CSS m_DCS m_WB m_HDS m_NTS IToolSvc

Definition at line 896 of file Algorithm.cpp.

m_CSS m_DCS m_WB m_HDS NTupleSvc

Definition at line 894 of file Algorithm.cpp.

m_CSS m_DCS m_WB m_HDS m_NTS m_ptoolSvc TimelineSvc

Definition at line 898 of file Algorithm.cpp.

m_CSS m_DCS m_WB m_HDS m_NTS ToolSvc

Definition at line 896 of file Algorithm.cpp.